import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

import jp.buz.utilities.StringUtilities;

public class StringUtilitiesTest extends HttpServlet {
    private static final String CONTENT_TYPE = "text/html; charset=Shift_JIS";
    /**O[oϐ̏*/
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
    }
    /**HTTP Get NGXg̏*/
    public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

        response.setContentType(CONTENT_TYPE);
        PrintWriter out = response.getWriter();
        out.println("<html>");
        out.println("<head><title>StringUtilitiesTest</title></head>");
        out.println("<body>");

        out.println("Left Test : " + StringUtilities.Left("tg̃eXg", 5) + "<BR>");
        out.println("Right Test : " + StringUtilities.Right("Cg̃eXg", 5) + "<BR>");
        out.println("ZeroFormat Test : " + StringUtilities.ZeroFormat("621", 8) + "<BR>");
        out.println("Replace Test : " + StringUtilities.Replace("ABCABCABC" , "BCA" , "##") + "<BR>");
        out.println("Split Test<BR>");
        String[] strAry = StringUtilities.Split("AB,CD,E,FGH,I,J,KLMN", ",");
        for(int i=0; i<strAry.length; i++){
            out.println(strAry[i] + "<BR>");
        }
        out.println("HTMLEscape Test : " + StringUtilities.HTMLEscape("<HTML>&&\"\"</HTML>") + "<BR>");
        out.println("SQLEscape Test : SELECT * FROM TBL_ARTIST WHERE ARTIST_NM = '" + StringUtilities.SQLEscape("B'z") + "';");

        out.println("</body></html>");
    }
    /**n*/
    public void destroy() {
    }
}